/*
 * Project name:
     DEMO
 * Copyright:
     (c) Mikroelektronika, 2011.
 * Description:
     This code demonstrates how to use the on-board Piezzo Buzzer.
 * Test configuration:
     MCU:             LPC2148
     Dev.Board:       UNIDS6
                      http://www.mikroe.com/eng/products/view/669/uni-ds6-development-system/
     Oscillator:      12.0 MHz (cclk = 60.0 MHz, Fcco = 240.0 MHz)
     Ext. Modules:    -
     SW:              KEIL uVision v4.10
 * NOTES:
   - Place jumper J14 to RA4 position.
*/


#include <LPC214X.H>
#include "Utility.h"

#define Buzzer_Pin 4
#define Buzzer_IOSET  IOSET0
#define Buzzer_IOCLR  IOCLR0
#define Buzzer_IODIR  IODIR0

void Sound1(){
unsigned int sz1;
for(sz1 = 0; sz1 < 100; sz1++){
  Buzzer_IOSET = (unsigned long)(1) << Buzzer_Pin;
  DelayProc(0.00005 * CCLOCK);
  Buzzer_IOCLR = (unsigned long)(1) << Buzzer_Pin;
  DelayProc(0.00005 * CCLOCK);
 }
}


void Sound2(){
unsigned int sz2;
for(sz2 = 0; sz2 < 100; sz2++){
  Buzzer_IOSET = (unsigned long)(1) << Buzzer_Pin;
  DelayProc(0.00001 * CCLOCK);
  Buzzer_IOCLR = (unsigned long)(1) << Buzzer_Pin;
  DelayProc(0.00001 * CCLOCK);
 }
}


unsigned int sz;

int main (void)
{
	PINSEL0 = 0;
	PINSEL1 = 0;
	PINSEL2 &= 0x0000000C;
	PINSEL2 |= 0x00000030;
	Buzzer_IODIR |= (unsigned long)(1) << Buzzer_Pin;  // Buzzer pin defined as Output
	DelayProc(0.2 * CCLOCK);

   while(1){
    for(sz = 0; sz < 10; sz++){
      Sound1();
      Sound2();
    }
	DelayProc(0.2 * CCLOCK);
  }
}

