/*
 * Project name:
     DEMO (Simple usage of USART module library functions)
 * Copyright:
     (c) Mikroelektronika, 2011.
 * Description:
     This code demonstrates how to use usart library routines.
 * Test configuration:
     MCU:             LPC2148
     Dev.Board:       UNIDS6
                      http://www.mikroe.com/eng/products/view/669/uni-ds6-development-system/
     Oscillator:      12.0 MHz (cclk = 60.0 MHz, Fcco = 240.0 MHz)
     Ext. Modules:    -
     SW:              KEIL uVision v4.10
 * NOTES:
  - Be sure to connect the USB cable to the USB UART 2 communication port and and to turn ON switches SW13.3 and SW13.4.
*/


#include <LPC214X.H>

#include "Serial.h"
#include "Utility.h"


const unsigned char
	Message[18] = {"mikroElektronika\n"};

unsigned long counter;

unsigned char
	HEXnum[9];



int main (void)
{
	PINSEL0 = 0;
	PINSEL1 = 0;
	PINSEL2 &= 0x0000000C;
	PINSEL2 |= 0x00000030;
	DelayProc(0.2 * CCLOCK);

	UART1_init(38400/*bps*/,  15000/*kHz*/, length_8_bit, stop_bit_1, parity_disable, parity_odd);

	UART1_sendstring ("Hello from,\n");
	UART1_sendstring (Message);

	counter = 0;
	while (1)
		{
		DelayProc(50E-03 * CCLOCK);

		int2str (HEXnum, counter++);

		UART1_sendstring (HEXnum);
		UART1_sendstring ("\n");
		};
}
